curl --request GET \
--url https://api.gcore.com/billing/org/v1/trials \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/trials"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/trials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/billing/org/v1/trials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/billing/org/v1/trials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/billing/org/v1/trials")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/billing/org/v1/trials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": 123,
"client_id": 123,
"client": {
"id": 2,
"company_name": "<string>"
},
"product": {
"id": 123,
"name": "<string>",
"internal_name": "<string>"
},
"plan": {
"id": 123,
"name": "<string>"
},
"days_limit": 123,
"active_ranges": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"options": [
{
"internal_name": "<string>",
"name": "<string>",
"description": "<string>",
"unit": {
"id": 2,
"name": "<string>",
"internal_name": "<string>"
},
"value": 1,
"used_value": 123,
"remaining_value": 123,
"is_limit": true,
"feature": {
"id": 123,
"name": "<string>"
}
}
],
"remaining_duration": 123,
"is_trial_skipped": true
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}List Trials
Retrieve a list of Trial objects.
You can use query parameters to filter, sort, and paginate the results.
curl --request GET \
--url https://api.gcore.com/billing/org/v1/trials \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/trials"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/trials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/billing/org/v1/trials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/billing/org/v1/trials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/billing/org/v1/trials")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/billing/org/v1/trials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": 123,
"client_id": 123,
"client": {
"id": 2,
"company_name": "<string>"
},
"product": {
"id": 123,
"name": "<string>",
"internal_name": "<string>"
},
"plan": {
"id": 123,
"name": "<string>"
},
"days_limit": 123,
"active_ranges": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"options": [
{
"internal_name": "<string>",
"name": "<string>",
"description": "<string>",
"unit": {
"id": 2,
"name": "<string>",
"internal_name": "<string>"
},
"value": 1,
"used_value": 123,
"remaining_value": 123,
"is_limit": true,
"feature": {
"id": 123,
"name": "<string>"
}
}
],
"remaining_duration": 123,
"is_trial_skipped": true
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Authorizations
Query Parameters
Filter by creation date-time.
Returns items created after the specified date-time (ISO 8601/RFC 3339 format, UTC).
You can specify a date with a time separated by a space, or just a date.
Examples:
&created_after=2025-05-15&created_after=2025-05-15 12:00:00&created_after=2025-05-15T12:00:00Z
Filter by creation date-time.
Returns items created before the specified date-time (ISO 8601/RFC 3339 format, UTC).
You can specify a date with a time separated by a space, or just a date.
Examples:
&created_before=2025-05-15&created_before=2025-05-15 12:00:00&created_before=2025-05-15T12:00:00Z
Ordering of the results.
For ascending sort order use field.asc, for descending sort order use field.desc.
For sorting by multiple parameters write them as comma separated string: client_id.asc,id.desc.
Final stable tiebreak ordering is added except when pk sorting used.
id.asc- Idid.desc- Id (descending)created_at.asc- Created atcreated_at.desc- Created at (descending)client_id.asc- Client idclient_id.desc- Client id (descending)started_at.asc- Started atstarted_at.desc- Started at (descending)ended_at.asc- Ended atended_at.desc- Ended at (descending)plan_name.asc- Plan nameplan_name.desc- Plan name (descending)plan_id.asc- Plan idplan_id.desc- Plan id (descending)product_name.asc- Product nameproduct_name.desc- Product name (descending)product_id.asc- Product idproduct_id.desc- Product id (descending)
client_id.asc, client_id.desc, created_at.asc, created_at.desc, ended_at.asc, ended_at.desc, id.asc, id.desc, plan_id.asc, plan_id.desc, plan_name.asc, plan_name.desc, product_id.asc, product_id.desc, product_name.asc, product_name.desc, started_at.asc, started_at.desc Ordering of the results.
This field is left for compatibility and can be deprecated in future versions. Use order_by instead.
Default sort order is ascending. Put - before value for descending sort order: -id.
For sorting by multiple parameters write them as comma separated string: -client_id,id.
Final stable tiebreak ordering is added except when pk sorting used.
id- Id-id- Id (descending)created_at- Created at-created_at- Created at (descending)client_id- Client id-client_id- Client id (descending)started_at- Started at-started_at- Started at (descending)ended_at- Ended at-ended_at- Ended at (descending)plan_name- Plan name-plan_name- Plan name (descending)plan_id- Plan id-plan_id- Plan id (descending)product_name- Product name-product_name- Product name (descending)product_id- Product id-product_id- Product id (descending)
-client_id, -created_at, -ended_at, -id, -plan_id, -plan_name, -product_id, -product_name, -started_at, client_id, created_at, ended_at, id, plan_id, plan_name, product_id, product_name, started_at Filter by product ID. Can be multiple.
Returns products with the specified ID.
Examples:
&product_id=1&product_id=1&product_id=2
Available values:
1- CDN2- Object Storage3- Web Security4- Streaming5- Cloud6- Colocation Services7- WG Private Cloud8- p2p9- DDoS Protection10- Managed DNS11- Other Services12- Premium Support13- Connectivity14- Hosting (G-Hosting)15- Managed Services16- Rent17- Software development18- VM Ware19- LaaS20- AWS Cloud21- FastEdge22- Technical Support23- WAAP25- Edge Proxy32- AI Managed Dedicated Compute65- Gclaw
Filter by product internal name. Can be multiple.
Returns products with the specified internal name.
Examples:
&product_internal_name=CDN&product_internal_name=CDN&product_internal_name=DNS
Available values:
AI_DEDCOMP- AI Managed Dedicated ComputeAWS_CLOUD- AWS CloudCDN- CDNCLOUD- CloudCONNECT- Colocation ServicesCONNECTIVITY- ConnectivityDDOS- Web SecurityDNS- Managed DNSFAST_EDGE- FastEdgeGCLAW- GclawGHOST- Hosting (G-Hosting)INFRASTRUCTURE_PROTECTION- DDoS ProtectionLAAS- LaaSMANAGED_SERVICES- Managed ServicesOTHER_SERVICES- Other ServicesP2P- p2pPREMIUM_SUPPORT- Premium SupportRENT- RentSHIELD_PROXY- Edge ProxySOFTWARE_DEVELOPMENT- Software developmentSTORAGE- Object StorageSTREAMING- StreamingTECHNICAL_SUPPORT- Technical SupportVMWARE- VM WareWAAP- WAAPWG_PRIVATE_CLOUD- WG Private Cloud
Was this page helpful?